Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.model.api.core
Interface IDesignElement

All Superinterfaces:
  java.lang.Cloneable

    public interface IDesignElement

extends java.lang.Cloneable

Interface for all the design elements.

Method Summary
`java.lang.Object` | `clone()` Generates a clone copy of this element.
`IElementDefn` | `getDefn()` Returns the definition object for this element.
`DesignElementHandle` | `getHandle(org.eclipse.birt.report.model.core.Module module)` Returns an API handle for this element.

Method Detail

### getDefn

    IElementDefn getDefn()

  Returns the definition object for this element.

  Part of: Meta data system.

  Returns:
    The element definition. Will always be non-null in a valid build.

### getHandle

    DesignElementHandle getHandle(org.eclipse.birt.report.model.core.Module module)

  Returns an API handle for this element.

  Parameters:
    `module` - the module
  Returns:
    an API handle for this element.

### clone

    java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Generates a clone copy of this element. When a report element is cloned, the basic principle is just copying the property value into the clone, the other things, like container references, child list references, listener references will not be cloned; that is, the clone is isolated from the design tree until it is added into a target design tree.

  When inserting the cloned element into the design tree, user needs to care about the element name confliction; that is, the client needs to call the method ``ModuleHandle.rename( DesignElementHandle )`` to change the element names.

  Returns:
    Object the cloned design element.
  Throws:
    `java.lang.CloneNotSupportedException` - if clone is not supported.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.